Bug 7377 - [Update Request] Mednafen 0.9.41
: [Update Request] Mednafen 0.9.41
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
http://forum.fobby.net/index.php?t=rv...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-23 02:29 MSD by Zombie Ryushu
Modified: 2017-01-29 16:49 MSK (History)
3 users (show)

See Also:
RPM Package: mednafen
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2016-09-23 02:29:59 MSD
- 0.9.39.2: --

September 19, 2016:
	SMS: Sanitize some previously-missed variables in the save state loading code.

September 18, 2016:
	MD: Fixed a bug that caused some YM2612 state to not be restored properly on save state load.

	MD, SMS, NGP: Fixed an old Z80 emulation bug with interrupt handling.

	Make an index of save state sections on save state load, to detect sections in a save state that are unused by the state loading code(for debugging).

	MD, PCE, PCE_FAST: Sanitize some previously-missed variables in the save state loading code.

September 16, 2016:
	SS: Added PAL support.

	SS: Fixed vertical positioning brokenness with custom "ss.slstart" setting values with interlaced video.

September 15, 2016:
	PC-FX, WonderSwan, NES, VB, PSX: Sanitize some previously-missed variables in the save state loading code.

	Fixed a use-after-free bug in the SDL sound output driver.

	NGP: Fixed several off-by-1 bugs in the address to ROM data translation function.

September 11, 2016:
	Removed nonsensical unused frame advance loop in drivers/main.cpp leftover from 0.5.x.

	PCE_FAST: Fixed a bug that could cause a crash with large "pce_fast.ocmultiplier" setting values when running CD games.

September 10, 2016:
	PCE_FAST: Skip 512-byte copier header if detected when loading a ROM image.

	PCE_FAST: Made some minor optimizations.

	PCE, PSX, PCE_FAST: Avoid UB by biasing uintptr_t values instead of pointers directly in the CPU core.

September 1, 2016:
	GB: Corrected the layer names used with the layer toggling feature.

August 26, 2016:
	SS: Fixed a potential problem with SH-2 DMA event rescheduling when bus lock is held, that probably wouldn't ever happen in practice.

	NES: Fixed several instances of missing initialization of on-cart WRAM.

August 24, 2016:
	SS: Marked more functions with MDFN_COLD hint, and marked a few functions to be forcibly-inlined where it makes sense.

August 23, 2016:
	SNES: Fixed an issue causing a compilation error on Mac OS X.
Comment 1 Zombie Ryushu 2017-01-29 09:44:25 MSK
Particularly notable changes since 0.9.39.2:

    Renamed settings "*.pixshader" to "*.shader".
    Added simple color TV CRT-approximating OpenGL shader, "goat".
    PSX: Added "psx.input.analog_mode_ct.compare" setting to control the combination of buttons used when the functionality controlled by the "psx.input.analog_mode_ct" setting is enabled.
    SMS: Added settings "sms.slstart", "sms.slend", "sms.slstartp", and "sms.slendp".
    SNES: Added setting "snes.h_blend", default value of "0", that when set to "1" will enable a horizontal blend/blur filter.
    SS: Added setting "ss.correct_aspect", default value of "1", to allow the user to disable aspect ratio correction(not recommended, but whatever~).
    SS: Added setting "ss.h_overscan", default value of "1", to allow the user to show less of the screen on the left and right sides by setting it to "0".
    SS: Added setting "ss.h_blend", default value of "0", that when set to "1" will enable a horizontal blend/blur filter(with a more noticeable effect on the Saturn video modes with a higher horizontal resolution).
    SS: Fixed the low volume problem in "Daytona USA".
    SS: Fixed missing/corrupted graphics of battle scenes in "Grandia".
    WonderSwan: Minor sound and graphics emulation accuracy improvements, from patches and suggestions provided by trap15.
Comment 2 Zombie Ryushu 2017-01-29 10:35:26 MSK
Added an experimental patch to fix a build issue.
Comment 3 Andrey Bondrov 2017-01-29 16:49:42 MSK
Done. I updated Mednafen to 0.9.41 for both rosa2014.1 and rosa2016.1.